summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Andrew Tkalia2013-03-12 02:13:20 +0100
committer dsomero2013-03-22 12:16:41 +0100
commitc384a6e16bf892c97f1683eb8ad701b0b47a2a95 (patch)
tree5a0d859d6ad59aef4b9ec5ba6dc7f46322386e9e /desktop
parentb2f82851ce15c5b70f10f20fba50b2d5dae73499 (diff)
downloadslackbuilds-c384a6e16bf892c97f1683eb8ad701b0b47a2a95.tar.gz
desktop/xdgmenumaker: Added (generates application menus)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xdgmenumaker/README10
-rw-r--r--desktop/xdgmenumaker/slack-desc18
-rw-r--r--desktop/xdgmenumaker/xdgmenumaker.SlackBuild64
-rw-r--r--desktop/xdgmenumaker/xdgmenumaker.info10
4 files changed, 102 insertions, 0 deletions
diff --git a/desktop/xdgmenumaker/README b/desktop/xdgmenumaker/README
new file mode 100644
index 0000000000..46cae26fbf
--- /dev/null
+++ b/desktop/xdgmenumaker/README
@@ -0,0 +1,10 @@
+xdgmenumaker is a command line tool, written in python, that generates
+application menus using xdg information, by scanning *.desktop files
+in all $XDG_DATA_DIRS/applications directories. All applications are
+sorted according to the main categories as specified by freedesktop.org.
+
+The menu entries that are generated by xdgmenumaker are localised
+according to the running user locale settings.
+
+xdgmenumaker currently supports generating menus for fluxbox, icewm and
+windowmaker.
diff --git a/desktop/xdgmenumaker/slack-desc b/desktop/xdgmenumaker/slack-desc
new file mode 100644
index 0000000000..9f1a02e110
--- /dev/null
+++ b/desktop/xdgmenumaker/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+ |-----handy-ruler------------------------------------------------------|
+xdgmenumaker: xdgmenumaker (generates application menus)
+xdgmenumaker:
+xdgmenumaker: xdgmenumaker is a command line tool, written in python, that
+xdgmenumaker: generates application menus using xdg information, by scanning
+xdgmenumaker: *.desktop files in all $XDG_DATA_DIRS/applications directories.
+xdgmenumaker:
+xdgmenumaker: xdgmenumaker currently supports generating menus for fluxbox, icewm
+xdgmenumaker: and windowmaker.
+xdgmenumaker:
+xdgmenumaker:
+xdgmenumaker:
diff --git a/desktop/xdgmenumaker/xdgmenumaker.SlackBuild b/desktop/xdgmenumaker/xdgmenumaker.SlackBuild
new file mode 100644
index 0000000000..2f79e4787d
--- /dev/null
+++ b/desktop/xdgmenumaker/xdgmenumaker.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for xdgmenumaker
+
+# Copyright 2013, Andrew Tkalia, Ukraine, Kyiv
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xdgmenumaker
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar Jxvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+DESTDIR=$PKG ./install.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README INSTALL COPYING AUTHORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xdgmenumaker/xdgmenumaker.info b/desktop/xdgmenumaker/xdgmenumaker.info
new file mode 100644
index 0000000000..10780bc037
--- /dev/null
+++ b/desktop/xdgmenumaker/xdgmenumaker.info
@@ -0,0 +1,10 @@
+PRGNAM="xdgmenumaker"
+VERSION="0.4"
+HOMEPAGE="http://www.salixos.org/wiki/index.php/Xdgmenumaker"
+DOWNLOAD="http://salix.enialis.net/i486/14.0/source/xap/xdgmenumaker/xdgmenumaker-0.4.tar.xz"
+MD5SUM="4d5f97ac1b73c5fc642c88648d43e8b8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pyxdg"
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@yandex.ru"